CREATE TABLE VAP.PATIENT_DOCUMENT
(
  DOCUMENT_ID           NUMBER                  NOT NULL,
  CONSENT_DIR_ID        NUMBER                  NOT NULL,
  DOCUMENT              BLOB                    NOT NULL,
  TYPE                  NUMBER                  NOT NULL,
  EXTERNAL_DOCUMENT_ID  VARCHAR2(255 BYTE)
);


CREATE UNIQUE INDEX VAP.PATIENT_DOCUMENT_PK ON VAP.PATIENT_DOCUMENT
(DOCUMENT_ID);

ALTER TABLE VAP.PATIENT_DOCUMENT ADD (
  CONSTRAINT PATIENT_DOCUMENT_PK
  PRIMARY KEY
  (DOCUMENT_ID)
  USING INDEX VAP.PATIENT_DOCUMENT_PK
  ENABLE VALIDATE);
