CREATE TABLE VAP.PATIENT_FORM
(
  DOC_ID         NUMBER(19)                     NOT NULL,
  PATIENT_ID     VARCHAR2(255 BYTE)             NOT NULL,
  DATE_ADDED     TIMESTAMP(6)                   NOT NULL,
  DOCUMENT       BLOB                           NOT NULL,
  DOCUMENT_TYPE  VARCHAR2(255 BYTE)             NOT NULL
);


CREATE UNIQUE INDEX VAP.PATIENT_FORM_PK ON VAP.PATIENT_FORM
(DOC_ID);

ALTER TABLE VAP.PATIENT_FORM ADD (
  CONSTRAINT PATIENT_FORM_PK
  PRIMARY KEY
  (DOC_ID)
  USING INDEX VAP.PATIENT_FORM_PK
  ENABLE VALIDATE);
