CREATE TABLE VAP.POLICY_STORE
(
  POLICY_ID     NUMBER                          NOT NULL,
  DESCRIPTION   VARCHAR2(255 BYTE),
  XACML_POLICY  CLOB                            NOT NULL
);


CREATE UNIQUE INDEX VAP.POLICY_STORE_PK ON VAP.POLICY_STORE
(POLICY_ID);

ALTER TABLE VAP.POLICY_STORE ADD (
  CONSTRAINT POLICY_STORE_PK
  PRIMARY KEY
  (POLICY_ID)
  USING INDEX VAP.POLICY_STORE_PK
  ENABLE VALIDATE);
