/*
 * To change this license header, choose License Headers in Project Properties.
 * To change this template file, choose Tools | Templates
 * and open the template in the editor.
 */
package gov.va.nvap.common.spring;

import java.io.IOException;

import org.springframework.ws.client.support.interceptor.ClientInterceptor;
import org.springframework.ws.context.MessageContext;
import org.springframework.ws.client.WebServiceClientException;

/**
 *
 * 
 */
public class WSClientLoggingInterceptor implements ClientInterceptor {
    
    private String webserviceName = "";
    
    @Override
    public boolean handleRequest(MessageContext messageContext) throws WebServiceClientException {
        return true;
    }
 
    @Override
    public boolean handleResponse(MessageContext messageContext) throws WebServiceClientException {
        return true;
    }
 
    @Override
    public boolean handleFault(MessageContext messageContext) throws WebServiceClientException {
        return true;
    }
 
    @Override
    public void afterCompletion(MessageContext messageContext, Exception ex) throws WebServiceClientException {
        try {
            System.out.println(this.webserviceName + " Request : ");
            messageContext.getRequest().writeTo(System.out);
            System.out.println("\n" + this.webserviceName + " Response : ");
            messageContext.getResponse().writeTo(System.out);
            if(null != ex) { 
                System.out.println("\n" + this.webserviceName + " afterCompletion has Exception: "+ex.getMessage());
                ex.printStackTrace(System.out);
            }
        } catch (IOException e) {
            e.printStackTrace(System.out);
        }
    }  
    
    /**
     * Get the value of webserviceName
     *
     * @return the value of webserviceName
     */
    public String getWebserviceName() {
        return webserviceName;
    }

    /**
     * Set the value of webserviceName
     *
     * @param webserviceName new value of webserviceName
     */
    public void setWebserviceName(String webserviceName) {
        this.webserviceName = webserviceName;
    }
    
}
