$(document).ready(function () {
    $(".useDate").datepicker({
        theme: 'vap',
        inputFormat: 'MM/dd/yyyy',
        outputFormat: 'MM/dd/yyyy',
        gainFocusOnConstruction: false
    });

    $("#mailDates").on('click', 'a.removeMailDate', function (event) {
        //remove the div (and contents) around the date that was clicked to be removed
        $(this).closest('.mailDateContainer').remove();

        event.preventDefault();
        return false;
    });

    $('#addAnotherMailDate').on('click', function(event) {
        //get the number of inputs
        var numDates = $(".mailDateContainer").length;

        //append
        var rn = new Date().getTime();
        $('#mailDates').append('<div class="mailDateContainer form-group"><label for="mailDate' + rn +'" id="mailDate' + rn + 'Label" class="control-label col-xs-1 col-sm-1 col-md-1 col-lg-1">Date</label><div class="col-xs-3 col-sm-3 col-md-3 col-lg-3"><div class="input-group"><input type="text" name="mailDate" id="mailDate' + rn + '" class="useDate form-control" value="" aria-labelledby="mailDate'+ rn + 'Label" /><span class="input-group-addon"><a href="#" class="removeMailDate" aria-label="Remove date" title="Remove date"><i class="fa fa-trash-o vap-size-12 black" aria-hidden="true" title="Remove date"></i></a></span></div></div></div>');

        //give it a date picker
        $("#mailDate" + rn).datepicker({
            theme: 'vap',
            inputFormat: 'MM/dd/yyyy',
            outputFormat: 'MM/dd/yyyy',
            gainFocusOnConstruction: false
        });

        //give it focus
        $('#mailDate' + rn).focus();
    });

    $("#showLog").on('click', function (event) {
        if ($('#showLog').text() == 'Show log') {
            if (!$('#delayedConsentId').val().length) {
                var url = '&consentDirId=' + $('#consentDirId').val();
            } else {
                var url = '&delayedConsentId=' + $('#delayedConsentId').val();
            }

            $.get("PatientDetails.do_sec?getLogEntries=true" + url, function (data) {
                $("#logResults").html(data);
            });
        }

        $('#logResults').toggle();
        $('#showLog').text($('#showLog').text() == 'Show log' ? 'Hide log' : 'Show log');
    });
});