CREATE TABLE VAP.AUTHORITY
(
  AUTHORITY_ID    NUMBER                        NOT NULL,
  OID             VARCHAR2(255 BYTE),
  AUTHORITY_NAME  VARCHAR2(255 BYTE)
);


CREATE UNIQUE INDEX VAP.AUTHORITY_IDX ON VAP.AUTHORITY
(OID);

CREATE UNIQUE INDEX VAP.AUTHORITY_PK ON VAP.AUTHORITY
(AUTHORITY_ID);

ALTER TABLE VAP.AUTHORITY ADD (
  CONSTRAINT AUTHORITY_PK
  PRIMARY KEY
  (AUTHORITY_ID)
  USING INDEX VAP.AUTHORITY_PK
  ENABLE VALIDATE);
