CREATE TABLE VAP.DELAYED_CONSENT_REASON
(
  DELAYED_CONSENT_ID  NUMBER(19)                NOT NULL,
  DELAY_REASON_ID     NUMBER(19)                NOT NULL
);


CREATE UNIQUE INDEX VAP.DELAYED_CONSENT_REASON_PK ON VAP.DELAYED_CONSENT_REASON
(DELAYED_CONSENT_ID, DELAY_REASON_ID);

ALTER TABLE VAP.DELAYED_CONSENT_REASON ADD (
  CONSTRAINT DELAYED_CONSENT_REASON_PK
  PRIMARY KEY
  (DELAYED_CONSENT_ID, DELAY_REASON_ID)
  USING INDEX VAP.DELAYED_CONSENT_REASON_PK
  ENABLE VALIDATE);
