CREATE TABLE VAP.MAIL_NOTIFICATION
(
  MAIL_NOTIFICATION_ID  NUMBER(19)              NOT NULL,
  DELAYED_CONSENT_ID    NUMBER(19),
  CONSENT_DIR_ID        NUMBER(19),
  SENT_DATE             DATE                    NOT NULL,
  USER_ID               VARCHAR2(255 BYTE)      NOT NULL
);


CREATE UNIQUE INDEX VAP.MAIL_NOTIFICATION_PK ON VAP.MAIL_NOTIFICATION
(MAIL_NOTIFICATION_ID);

ALTER TABLE VAP.MAIL_NOTIFICATION ADD (
  CONSTRAINT MAIL_NOTIFICATION_PK
  PRIMARY KEY
  (MAIL_NOTIFICATION_ID)
  USING INDEX VAP.MAIL_NOTIFICATION_PK
  ENABLE VALIDATE);
