CREATE TABLE VAP.PATIENT_PROFILE
(
    IEN VARCHAR2(255 CHAR)            NOT NULL, 
    LAST_NAME VARCHAR2(100 CHAR)      NOT NULL, 
    FIRST_NAME VARCHAR2(100 CHAR)     NOT NULL, 
    MIDDLE_INITIAL CHAR(1 BYTE), 
    DOB DATE                          NOT NULL, 
    GENDER VARCHAR2(10 CHAR)          NOT NULL, 
    SSN VARCHAR2(20 CHAR), 
    FACILITY_ID NUMBER                NOT NULL
) 
TABLESPACE USERS;

CREATE UNIQUE INDEX VAP.PATIENT_PROFILE_PK ON VAP.PATIENT_PROFILE
(IEN) TABLESPACE USERS;

ALTER TABLE VAP.PATIENT_PROFILE ADD (
  CONSTRAINT PATIENT_PROFILE_PK
  PRIMARY KEY
  (IEN)
  USING INDEX VAP.PATIENT_PROFILE_PK
  ENABLE VALIDATE);



