CREATE TABLE VAP.SERVICE_PERMISSION
(
  SERVICE_ID  NUMBER                            NOT NULL,
  CN          VARCHAR2(253 BYTE)                NOT NULL,
  NAME        VARCHAR2(256 BYTE)                NOT NULL,
  ENABLED     NUMBER(1)                         NOT NULL
);


CREATE UNIQUE INDEX VAP.SERVICE_PERMISSION_PK ON VAP.SERVICE_PERMISSION
(SERVICE_ID);

ALTER TABLE VAP.SERVICE_PERMISSION ADD (
  CONSTRAINT SERVICE_PERMISSION_PK
  PRIMARY KEY
  (SERVICE_ID)
  USING INDEX VAP.SERVICE_PERMISSION_PK
  ENABLE VALIDATE);
