CREATE TABLE VAP.USER_ACCESS_AUDIT
(
  USER_ACCESS_AUDIT_ID  NUMBER                  NOT NULL,
  USER_ID               VARCHAR2(255 BYTE),
  USER_FACILITY         VARCHAR2(255 BYTE),
  TIME_OF_EVENT         TIMESTAMP(6)            NOT NULL,
  CREATED_DATE          TIMESTAMP(6)            NOT NULL
);


CREATE INDEX VAP.USER_ACCESS_AUDIT_IDX ON VAP.USER_ACCESS_AUDIT
(USER_ID, USER_FACILITY);

CREATE UNIQUE INDEX VAP.USER_ACCESS_AUDIT_PK ON VAP.USER_ACCESS_AUDIT
(USER_ACCESS_AUDIT_ID);

ALTER TABLE VAP.USER_ACCESS_AUDIT ADD (
  CONSTRAINT USER_ACCESS_AUDIT_PK
  PRIMARY KEY
  (USER_ACCESS_AUDIT_ID)
  USING INDEX VAP.USER_ACCESS_AUDIT_PK
  ENABLE VALIDATE);
