CREATE TABLE VAP.VISN
(
  ID           NUMBER                           NOT NULL,
  VISN_NUMBER  NUMBER                           NOT NULL,
  VISN_NAME    VARCHAR2(255 BYTE)               NOT NULL
);


CREATE UNIQUE INDEX VAP.VISN_PK ON VAP.VISN
(ID);

ALTER TABLE VAP.VISN ADD (
  CONSTRAINT VISN_PK
  PRIMARY KEY
  (ID)
  USING INDEX VAP.VISN_PK
  ENABLE VALIDATE);
