import os
import weblogic.security.internal.SerializedSystemIni
import weblogic.security.internal.encryption.ClearOrEncryptedService

def encrypt(domain, clearText):
	domainPath = os.path.abspath(domain)
	encryptSrv = weblogic.security.internal.SerializedSystemIni.getEncryptionService(domainPath)
	ces = weblogic.security.internal.encryption.ClearOrEncryptedService(encryptSrv)
	cipherText = ces.encrypt(clearText)
	
	print "Cipher Text is: " + cipherText

try:
	if len(sys.argv) == 2:
		clearText1 = "".join(java.lang.System.console().readPassword("%s", ["Please Enter String to Encrypt:"]))
		clearText2 = "".join(java.lang.System.console().readPassword("%s", ["Please Confirm String to Encrypt:"]))
		if(clearText1 == clearText2):
			encrypt(sys.argv[1], clearText1)
		else:
			print "Input strings didn't match."
	else:
		print "Example:"
		print "		wlst.sh encryptString.py /u01/app/domains/vap_sqa2 AI"
except:
	print "Exception: ", sys.exc_info()[0]
	dumpStack()
	raise
