#!/bin/sh

export DOMAIN_HOME="/u01/app/domains/vap_devl"
export VAP_CONFIG="/vap/weblogic/domains/vap_devl/config"
PRE_CP=`eval "echo $PRE_CP"`
export PRE_CP="$VAP_CONFIG/vap-local:$PRE_CP"
export CLASSPATH="$PRE_CP:$VAP_CONFIG/vap:$CLASSPATH"
export JAVA_HOME="/u01/app/oracle/java/latest"
export JAVA_OPTIONS="-Dweblogic.security.SSL.minimumProtocolVersion=TLSv1 -Dgov.va.med.environment.servertype=weblogic $JAVA_OPTIONS"
export USER_MEM_ARGS=""
export JAVA_VENDOR="Sun"
export DERBY_FLAG="false"

if [ ! -d "$DOMAIN_HOME/servers/vap_devl_admin/logs" ]; then
  mkdir -p "$DOMAIN_HOME/servers/vap_devl_admin/logs"
fi

export VAP_OUT_FILE="$DOMAIN_HOME/servers/vap_devl_admin/logs/vap_devl.out"
